# Enum Manifold.ManifoldType

java.lang.Object
java.lang.Enum<Manifold.ManifoldType>
com.codename1.gaming.physics.box2d.collision.Manifold.ManifoldType

All Implemented Interfaces:
  `Comparable<Manifold.ManifoldType>`

Enclosing class:
  `Manifold`

public static enum Manifold.ManifoldType extends Enum<Manifold.ManifoldType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CIRCLES`
  `FACE_A`
  `FACE_B`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Manifold.ManifoldType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Manifold.ManifoldType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CIRCLES

    public static final Manifold.ManifoldType CIRCLES

  - ### FACE_A

    public static final Manifold.ManifoldType FACE_A

  - ### FACE_B

    public static final Manifold.ManifoldType FACE_B

- ## Method Details

  - ### values

    public static Manifold.ManifoldType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Manifold.ManifoldType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null